"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _FInputCheckbox = _interopRequireDefault(require("./FInputCheckbox.cjs"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var FInputCheckbox2 = props => {
  var style = {
    /*width: "calc(100% - 2.6em)",*/
    minWidth: "70px",
    border: "1px solid #c2cfd6",
    left: "0",
    paddingTop: "0.2em",
    paddingLeft: "3.5em"
  };
  if ((props === null || props === void 0 ? void 0 : props.bsSize) == 'lg') {
    style.height = '48px';
    style.paddingTop = '0.75em';
  }
  return /*#__PURE__*/_react.default.createElement(_FInputCheckbox.default, _objectSpread(_objectSpread({}, props), {}, {
    formGroupStyle: {
      verticalAlign: "middle"
    },
    inputStyle: style,
    checkboxLabel: undefined,
    icon: props.icon === false ? props.icon : props.checkboxLabel
  }));
};
FInputCheckbox2.propTypes = _FInputCheckbox.default.propTypes;
FInputCheckbox2.defaultProps = _objectSpread({}, _FInputCheckbox.default.defaultProps);
var _default = FInputCheckbox2;
exports.default = _default;