"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var ProgressBar = _ref => {
  var {
    progress,
    ftypeIcon,
    bsSize
  } = _ref;
  var prg = progress != undefined ? progress : 0;
  var col = progress == 100 ? '#00e64d' : '#ffcc00';
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "bars formiga-reactstrap-progress",
    style: {
      position: "relative",
      width: ftypeIcon == undefined ? "100%" : bsSize == 'sm' ? "calc(100% - 75px)" : bsSize == 'lg' ? "calc(100% - 92px)" : "calc(100% - 83px)",
      left: ftypeIcon != undefined ? bsSize == 'sm' ? "35px" : bsSize == 'lg' ? "51px" : "42px" : "",
      top: "-3px",
      zIndex: "5"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "progress-xs  mb-0 progress",
    style: {
      height: "0.25em",
      backgroundColor: "transparent"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "progress-bar bg-" + col,
    style: {
      width: prg + "%",
      backgroundColor: col
    },
    role: "progressbar",
    "aria-valuenow": prg.toString(),
    "aria-valuemin": "0",
    "aria-valuemax": "100"
  })));
};
var _default = ProgressBar;
exports.default = _default;