"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var FFSHidden = props => {
  var {
    id,
    name,
    required,
    inputRef,
    defaultValue
  } = props;
  return /*#__PURE__*/_react.default.createElement("input", {
    type: "text",
    id: id,
    name: name,
    ref: inputRef,
    style: {
      display: "none"
    },
    required: required,
    defaultValue: defaultValue
  });
};
var _default = FFSHidden;
exports.default = _default;