"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactstrap = require("reactstrap");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var FISSInput = props => {
  var {
    name,
    placeholder,
    readOnly,
    autocomplete,
    required,
    inputStyle,
    showValidity,
    bsSize,
    valid,
    filterRef,
    shownText,
    onSearchStart,
    onSearchType,
    onKeyDown
  } = props;
  return /*#__PURE__*/_react.default.createElement(_reactstrap.Input, _extends({
    name: "input_select_search_".concat(name, "_text"),
    className: "formiga-reactstrap-select-search-text custom-select ".concat(bsSize != undefined ? 'custom-select-' + bsSize : ''),
    type: "text",
    innerRef: filterRef,
    value: shownText,
    placeholder: placeholder,
    readOnly: readOnly,
    required: required,
    onClick: onSearchStart,
    onChange: onSearchType,
    onKeyDown: onKeyDown,
    autoComplete: autocomplete,
    style: inputStyle,
    bsSize: bsSize
  }, showValidity == 1 || showValidity == 4 ? {
    valid: valid,
    invalid: !valid
  } : {}));
};
var _default = FISSInput;
exports.default = _default;